Picture

Samuel's Website

Problème de MAJ sur CrunchBang Statler

Samuel Forestier — 16 April 2013
Vous vous êtes peut-être rendu compte d'un erreur de cette sorte après quelques mises à jour :
Erreur de GPG : http://packages.crunchbang.org squeeze-backports Release : Les signatures suivantes ne sont pas valables : KEYEXPIRED 1352888501
Pas trop grave, mais ça peut empêcher les MAJ, et ça c'est embêtant.
Alors, il faut ajouter cette source logicielle via le gestionnaire Synaptic :
#    deb http://mozilla.debian.net/ squeeze-backports iceweasel-release
Puis installer un package supplémentaire via:
#    apt-get install pkg-mozilla-archive-keyring
Mettre à jour les sources après avoir fixer les potentilles dépendances :
#    apt-get -f install && apt-get update
Puis installer les nouveaux paquets + mettre à jour ceux existant :
#    apt-get upgrade && apt-get dist-upgrade

Le premier problème étant réglé, passons au second, qui découle du premier.
En installant ce paquet supplémentaire, Iceweasel, le navigateur, ne se lance plus :
Error: Platform version ’10.X.X’ is not compatible with minVersion >= 10.X.X maxVersion <= 10.X.X
Pour moi, il a fallu uniquement réinstaller Iceweasel :
#    apt-get install --reinstall iceweasel

Mais sur un autre PC ça a été plus compliqué, il a fallut forcer la MAJ vers une version expérimentale, il vous faut donc ajouter cette source :
#    deb http://mozilla.debian.net/packages/ experimental
Puis faire la MAJ après une MAJ des sources:
#    apt-get update && apt-get install -t experimental iceweasel
Normalement Iceweasel devrait se relancer...
/!\ Veiller à désactiver (supprimer ?) la source expérimentale de Mozilla, sinon, lors du prochain dist-upgrade, tous vos logiciels passeront en version expérimentale (moyen non ?).